Bug 205691 - Now playing widget should have the option of disabling album covers
Summary: Now playing widget should have the option of disabling album covers
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-nowplaying (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Alex Merry
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-30 14:34 UTC by David Nemeskey
Modified: 2012-08-05 21:19 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Nemeskey 2009-08-30 14:34:40 UTC
Version:            (using KDE 4.3.0)
OS:                Linux
Installed from:    Ubuntu Packages

I have the Now Playing widget on my desktop. I am using the Glassified desktop theme, which allows me to enjoy my beautiful wallpaper :) while still taking advantage of the plasma widgets. By default, Now Playing blends nicely into the background.

However, whenever I play a song in Amarok, the album cover is displayed on the widget, ruining this "harmony". It especially becomes eyesore if the cover uses colors entirely unrelated to the background.

My request would be to add a configuration option to the widget, where the user can opt for no album covers. Alternatively, there could be 3 options:
- No cover
- Cover as it is
- Cover in the color space of the theme / background, or simply the are below the cover (not counting the widget itself, obviously).

I realize that the the last option would be a difficult feature to implement, and would also offer no real gains, so I put it there only as an idea. However, I would be very happy to see the first realized.
Comment 1 Sergey Kondakov 2012-04-15 07:02:58 UTC
having any options for anything would be an improvement, to say the least.
customizing info-fields would be great.
Comment 2 Alex Merry 2012-06-11 11:33:57 UTC
For 4.10, I'll probably add options to hide the album cover, and to remove fields you don't want.
Comment 3 Alex Merry 2012-08-05 21:19:37 UTC
Git commit e0856e854b680575a9f257a400d1ca4db4f1aaf4 by Alex Merry.
Committed on 05/08/2012 at 23:08.
Pushed by alexmerry into branch 'master'.

Allow disabling cover, artist and album display

Add a configuration panel that allows users to prevent album covers,
album name and/or artist name being displayed.
FIXED-IN: 4.10

A  +20   -0    applets/nowplaying/package/contents/config/main.xml
M  +8    -2    applets/nowplaying/package/contents/ui/CompactLayout.qml
M  +7    -1    applets/nowplaying/package/contents/ui/FullLayout.qml
M  +11   -2    applets/nowplaying/package/contents/ui/MetadataLine.qml
M  +13   -4    applets/nowplaying/package/contents/ui/MetadataPanel.qml
M  +7    -1    applets/nowplaying/package/contents/ui/VLayout.qml
A  +52   -0    applets/nowplaying/package/contents/ui/config.ui

http://commits.kde.org/kdeplasma-addons/e0856e854b680575a9f257a400d1ca4db4f1aaf4